香港独立IP空间
香港php空间
美国php空间
域名注册

PHP的更新速度还是蛮快的,可是我们的不少开源程序的开发基础有的时候就跟不上整个大环境发展的需要。于是很多用户会出现在本机上使用完全正常,而上传到php空间上的总是会出现一些莫名的问题。这里列举一些小编在日常工作时候由于php版本问题导致程序无法正常使用。例如:织梦在php5.3环境下会报错、ECshop在php5.4环境下会报错、还有部分主题或者插件需要在特定的环境下才能运行这里我们就不一一列举了。今天无忧主机小编将给大家介绍一下:Zen Cart1.3.8产品页报错提示:Deprecated: Function ereg_replace() is deprecated。
Zen Cart1.3.8在php5.3环境下运行报错完整提示:
Deprecated: Function ereg_replace() is deprecated in 根目录\includes\functions\html_output.php on line 19
方法一、
以上报错原因还是由于php版本过高导致,需更换至php5.2.X(如需更换服务器操作请联系在线客服处理)
方法二、(此方法虚拟主机用户不可取,无法修改php.ini文件)
如果一定要用php5.3.x,请修改php.ini中下面代码
查找:;extension=php_mbstring.dll
修改为:extension=php_mbstring.dll
查找:;mbstring.func_overload = 0
修改为:mbstring.func_overload = 7
方法三、
将Zen Cart升级至最新版本
方法四、
将不支持的函数修改为支持的函数即可。
总结补充:以上方法都可以解决Zen Cart这类报错,方法1和方法3小编任何最适合站长考虑。
无忧主机相关文章推荐阅读:
ZENCART清理重复网址与页面的方法
ZEN CART如何正确的书写ROBOTS文件
ZEN CART如何将后台订单显示图片以及产品链接

本文地址:http://www.51php.com/zencart/20772.html

喜欢本文或觉得本文对您有帮助,请分享给您的朋友 ^_^

阅读本文的人还阅读: